Loading...
Searching...
No Matches
casacore::TaQLColSpecNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a create column specification. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLColSpecNodeRep (const String &name, const String &likeCol, const String &dtype, const TaQLMultiNode &spec)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

String | itsName
String | itsLikeCol
String | itsDtype
TaQLMultiNode | itsSpec

## Detailed Description

Raw TaQL parse tree node defining a create column specification.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the parts of a column specification in the create table command.

Definition at line 1044 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLColSpecNodeRep()

casacore::TaQLColSpecNodeRep::TaQLColSpecNodeRep | ( | const String & | name,
|  | const String & | likeCol,
|  | const String & | dtype,
|  | const TaQLMultiNode & | spec )

References casacore::name().

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLColSpecNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLColSpecNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLColSpecNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLColSpecNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsDtype

String casacore::TaQLColSpecNodeRep::itsDtype

Definition at line 1056 of file TaQLNodeDer.h.

## itsLikeCol

String casacore::TaQLColSpecNodeRep::itsLikeCol

Definition at line 1055 of file TaQLNodeDer.h.

## itsName

String casacore::TaQLColSpecNodeRep::itsName

Definition at line 1054 of file TaQLNodeDer.h.

## itsSpec

TaQLMultiNode casacore::TaQLColSpecNodeRep::itsSpec

Definition at line 1057 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h